PAN OCR API

The PAN OCR API allows users to extract PAN card details automatically from uploaded PAN card images or documents using OCR technology. It retrieves structured information such as PAN number, holder name, father name, date of birth, and other available details quickly and accurately in JSON format.

API Details

Request URL

POST
https://g99.in/api/ocr/panocr
Copied!

Request Body Parameters

Type Name Optional Description
File file Required Upload the PAN card image.

Request Header Parameters

Type Name Value / Description Optional
String Content-Type multipart/form-data Required

Sample Code

request.php
Copied!
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://g99.in/api/ocr/panocr',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS => array('file'=> new CURLFILE(' --Uploaded File Path-- ')),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
request.py
Copied!
import requests

url = "https://g99.in/api/ocr/panocr"

payload = {}
files=[
  ('file',(' --Uploaded File Name-- ',open(' --Uploaded File Path-- ','rb'),'image/png'))
]
headers = {}

response = requests.request("POST", url, headers=headers, data=payload, files=files)

print(response.text)
request.cs
Copied!
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://g99.in/api/ocr/panocr");
var content = new MultipartFormDataContent();
content.Add(new StreamContent(File.OpenRead(" --Uploaded File Path-- ")), "file", " --Uploaded File Path-- ");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());

Response

HTTP status code 200

Key Type Description
pan String Permanent Account Number of the holder or entity.
birthDate Date Date of birth of the PAN holder.
incorporationDate Date Date on which the company or entity was incorporated.
name String Name of the PAN card holder or organization.
father String Father's name mentioned in the PAN card.
category String Type/category of PAN holder such as Individual, Company, Firm, etc.

Sample Response

Sample response for valid document

response.json
Copied!
{
  "valid": true,
  "message": null,
  "data": {
    "pan": "CYMPB1111A",
    "birthDate": "06/03/1992",
    "incorporationDate": null,
    "name": "M SURESH",
    "father": "S MUNASWAMY",
    "category": "INDIVIDUAL"
  }
}

Error Response

Parameter Type Description
status Number Unique error codes for different errors. Always available.
message String Error message describing the error. Always Available.
error Boolean True / False for different errors. Always available.

Error Codes

HTTP Status Error Code Error Message
400 4001 Malformed data or missing required parameter values.
400 4002 File size exceeds 10MB limit.
400 4003 Only JPEG and PNG images are supported.
400 4004 Invalid or corrupted image.
400 4005 Minimum image size should be 200 X 200 pixels.
500 5001 Document processing service is currently unavailable. Please try again later.

Sample Error Response

response.json
Copied!
{
  "message": "Invalid or corrupted image.",
  "status": 4004,
  "error": True
}

Constraints

  • Only JPEG, PNG images are supported.

  • Minimum image size is 200x200 png for better identification and parsing.

  • Maximum allowed image size is 10 MB.